.wpct-block-stepper {
  margin: auto;
}

.wpct-block-stepper:not(.ready) + * {
  visibility: hidden;
}

@media (max-width: 782px) {
  .wpct-block-stepper:not(.block-editor-block-list__block) {
    display: block !important;
  }
}

@media (min-width: 782px) {
  .wpct-block-stepper {
    display: flex !important;
    gap: var(--wp--preset--spacing--60) !important;
  }

  .wpct-block-stepper .wpct-block-stepper-step {
    flex-basis: 0;
    flex-shrink: 1;
    flex-grow: 1;
  }
}

@media (max-width: 782px) {
  .wpct-block-stepper .wpct-block-stepper-step {
    padding: var(--wp--preset--spacing--20);
  }
}

.wpct-block-stepper .wpct-block-stepper-step figure {
  position: relative;
}

.wpct-block-stepper .wpct-block-stepper-step figure::after {
  content: attr(data-index);
  height: var(--wp--preset--font-size--xx-large);
  width: var(--wp--preset--font-size--xx-large);
  background: var(--wp--preset--color--brand);
  border-radius: 50%;
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 40%);
  z-index: 10;
  font-size: var(--wp--preset--font-size--large);
  text-align: center;
  line-height: var(--wp--preset--font-size--xx-large);
  font-weight: bold;
}

.wpct-block-stepper ul.slick-dots {
  display: flex;
  list-style: none;
  justify-content: flex-end;
}

.wpct-block-stepper ul.slick-dots > li {
  margin: 0;
}

.wpct-block-stepper ul.slick-dots > li:nth-child(n + 2) {
  margin-left: 20px;
}

.wpct-block-stepper ul.slick-dots .slick-active button {
  opacity: 1;
}

.wpct-block-stepper ul.slick-dots button {
  width: 10px;
  height: 10px;
  padding: 0;
  border-radius: 50%;
  font-size: 0px;
  background-color: var(--wp--preset--color--brand);
  border: none;
  cursor: pointer;
  opacity: 0.3;
}

.wpct-block-stepper ul.slick-dots button::before {
  display: none;
}

.wpct-block-stepper .wpct-block-stepper-arrows {
  width: fit-content;
  margin: 1rem auto;
  display: flex;
  gap: 2rem;
}

.wpct-block-stepper .wpct-block-stepper-arrows .slick-arrow {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  cursor: pointer;
  position: relative;
  border: none;
  outline: none;
  color: var(--wp--preset--color--contrast);
  font-size: 0px;
  margin: 0 1rem;
  background-color: transparent;
  border: 2px solid var(--wp--preset--color--contrast);
  transform: unset;
}

.wpct-block-stepper .wpct-block-stepper-arrows .slick-arrow::after {
  content: "";
  position: absolute;
  height: 16px;
  width: 16px;
  border-top: 3px solid var(--wp--preset--color--contrast);
  border-right: 3px solid var(--wp--preset--color--contrast);
  transform: rotate(45deg);
  top: 10px;
  left: 7px;
  display: block;
}

.wpct-block-stepper .wpct-block-stepper-arrows .slick-arrow.slick-prev {
  transform: rotate(180deg);
}

.wpct-block-stepper .wpct-block-stepper-arrows .slick-arrow.slick-disabled {
  opacity: 0.4;
  cursor: default;
}
